﻿@model IEnumerable<TouristPlace.Models.Place>

@{
    ViewData["Title"] = "Index";
}

<h1>List of Tourist Places</h1>
<form asp-controller="Places" asp-action="Index">
    <p>
        Search by Name <input type="text" name="SearchString">
        <a asp-action="Index" style="padding-left: 10px">Reset</a>
        <input type="submit" value="Submit" style="display: none" />
    <p style="color:green">@ViewData["searchTerms"]</p>
    </p>
</form>
<p>
    <a asp-action="Create">Create New</a>
</p>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
                @*<a asp-action="Index" asp-route-sortOrder="@ViewData["NameSortParm"]">@Html.DisplayNameFor(model => model.Name)</a>*@
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Address)
            </th>
            <th>

                @*@Html.DisplayNameFor(model => model.Rating)*@
                <a asp-action="Index" asp-route-sortOrder="@ViewData["RatingSortParm"]">@Html.DisplayNameFor(model => model.Rating)↑↓</a>
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Picture)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model) {
            <tr class="Search">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Address)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Rating)
                </td>
                <td>

                    <img src="~/images/@item.Picture" alt="not found" height=100 width=100 />
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                    @*<a asp-action="Details" asp-route-id="@item.Id">Details</a> |*@
                    <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
    console.log("started")
    $(document).ready(function () {
        function Contains(text1, text2) {
            if (text1.indexOf(text2) != -1) {
                return true;
            }
        }
        $("#Search").keyup(function () {
            console.log($("#Search").val())
            var searchText = $("#Search").val().toLowerCase();
            $(".Search").each(function () {
                if (!Contains($(this).text().toLowerCase(), searchText)) {
                    $(this).hide();
                }
                else {
                    $(this).show();
                }
            })
        })

    })
</script>